return love.graphics.newShader[[
varying vec3 viewDir;
#ifdef VERTEX
  uniform mat4 view;
  uniform mat4 proj;
  vec4 position( mat4 _, vec4 pos ){
    vec4 eye = view * pos;
    viewDir = eye.xyz;
    return proj*eye;
  }
#endif
#ifdef PIXEL
  uniform samplerCube cube;
  vec4 effect( vec4 color, Image _, vec2 __, vec2 ___) {
    return Texel( cube, viewDir );
  }
#endif
]]